UNSHARE(1)

NOM
unshare - Exécuter un programme avec des espaces de noms dé-partagés du parent

SYNOPSIS
unshare [options] programme [arguments]

DESCRIPTION
Dé-partage les espaces de noms indiqués du processus parent puis exécute le programme indiqué. Les espaces de noms dé-partageables sont :

espace de noms de montage
    les montage et démontage de systèmes de fichiers n'affecteront pas le reste du système (attribut CLONE_NEWNS) ;

espace de noms UTS
    la configuration de nom d'hôte et nom de domaine n'affectera pas le reste du système (attribut CLONE_NEWUTS) ;

espace de noms IPC
    le processus aura un nom d'espace indépendant pour les files de message System V, les jeux de sémaphore et les segments de mémoire partagée (attribut CLONE_NEWIPC) ;

espace de noms réseau
    le processus aura des piles IPv4 et IPv6, des tables de routage IP, des règles de pare-feu, les arborescences de répertoires /proc/net et /sys/class/net, des sockets, etc. indépendants (attribut CLONE_NEWNET).

Consultez clone(2) pour les sémantiques exactes des attributs.

OPTIONS

-h, --help
    Afficher un message d'aide.

-m, --mount
    Dé-partager l'espace de noms de montage.

-u, --uts
    Dé-partager l'espace de noms UTS.

-i, --ipc
    Dé-partager l'espace de noms IPC.

-n, --net
    Dé-partager l'espace de noms réseau.

NOTES
La commande unshare abandonne d'éventuels privilèges avant d'exécuter le programme cible. Cela permet d'exécuter unshare avec les privilèges du superutilisateur (« setuid root »).

VOIR AUSSI
unshare(2), clone(2)

BOGUES
Aucun connu pour le moment.

AUTEUR
Mikhail Gusarov <dottedmag@dottedmag.net>

DISPONIBILITÉ
La commande unshare fait partie du paquet util-linux, elle est disponible sur <URL:ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.